Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If TextBox1.Text IsNot String.Empty Then
            Button1.Enabled = False
            Button2.Enabled = True
            Meteo1.APIKey = TextBox1.Text
            Meteo2.APIKey = TextBox1.Text
            Meteo3.APIKey = TextBox1.Text
            Meteo1.EnableMeteo = True
            Meteo2.EnableMeteo = True
            Meteo3.EnableMeteo = True
        End If
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        Button1.Enabled = True
        Button2.Enabled = False
        Meteo1.EnableMeteo = False
        Meteo2.EnableMeteo = False
        Meteo3.EnableMeteo = False
    End Sub
End Class
